package com.brackeen.javagamebook.sound;

/**
    Klasa Sound jest kontenerem dla próbek dźwiękowych. Próbki są niezależne
    od formatu i są zapisywane w tablicy bajtów.
*/
public class Sound {

    private byte[] samples;

    /**
        Tworzy nowy obiekt Sound z podaną tablicą bajtów.
        Tablica nie jest kopiowana.
    */
    public Sound(byte[] samples) {
        this.samples = samples;
    }

    /**
        Zwraca próbki dźwiękowe w postaci tablicy bajtów.
    */
    public byte[] getSamples() {
        return samples;
    }
}
